<?php
/*
'**************************************************************************************************
' 软件名称: 搜一次 Content Management System
' 版本编号: Version 1.X
' 官方网站: http://www.syccms.com
' 官方论坛：http://bbs.syccms.com
' 版权所有: 搜一次运营团队
' 法律顾问: 杭州市元茂律师事务所 严飞律师
' 郑重声明:
'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
'    2、搜一次网络事业部保留此软件的法律追究权利
'**************************************************************************************************
*/
include_once("../include/label.php");
$Param=$_SERVER['QUERY_STRING'];
if(S_Webmode==1  or S_Slists=='1'){	
	$ID=SafeRequest("ID","get");
	if($ID=="" and $Param!=""){
		if(stristr($Param,S_UrlList)){
			$ID=ReplaceStr($Param,S_UrlList,"");
			$ID=preg_replace("/.".S_Dtsuffix."(.*?)$/",'',$ID);
			$pages=SafeRequest("pages","get");
			if(!IsNum($ID)) die("参数传输错误");
			  $cache_id = 't_'.$ID.'_'.$pages;
			  if(!($cache_opt->start($cache_id))){
				   echo SpanTopicShow($ID);
				  $cache_opt->end();
			  }
			}
		else{
				$pages=SafeRequest("pages","get");
				$cache_id = 't_'.'_'.$pages;
				 if(!($cache_opt->start($cache_id))){
				  echo SpanTopicList();
				  $cache_opt->end();
			 	}
			}	
		}
	else{		
		if($ID!=""){
			$ID=ReplaceStr($ID,S_UrlList,"");
			$pages=SafeRequest("pages","get");
			if(!IsNum($ID)){die("参数传输错误");}
			  $cache_id = 't_'.$ID.'_'.$pages;
			  if(!($cache_opt->start($cache_id))){
				  echo SpanTopicShow($ID);
				  $cache_opt->end();
			  }
			}
		else{
				$pages=SafeRequest("pages","get");
				$cache_id = 't_'.'_'.$pages;
				 if(!($cache_opt->start($cache_id))){
				   echo SpanTopicList();
				   $cache_opt->end();
			 	}
			}

		}	
	

}
?>